📌 WhatsApp API without the hassle and nerves! 🤘
Authorization: Bearer ********************{
"callback_backoff_delay_ms": 3000,
"max_callback_backoff_delay_ms": 900000,
"callback_persist": true,
"media": {
"auto_download": [
"image",
"document",
"audio"
],
"init_avatars": true
},
"webhooks": [
{
"url": "<Webhook URL, http or https>",
"events": [
{
"type": "ack",
"method": "put"
},
{
"type": "chat",
"method": "put"
}
],
"mode": "method"
}
],
"on_call_pager": "<WA_ID of valid WhatsApp contact>",
"pass_through": false,
"sent_status": false
}curl --location --request PATCH '/settings' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"callback_backoff_delay_ms": 3000,
"max_callback_backoff_delay_ms": 900000,
"callback_persist": true,
"media": {
"auto_download": [
"image",
"document",
"audio"
],
"init_avatars": true
},
"webhooks": [
{
"url": "<Webhook URL, http or https>",
"events": [
{
"type": "ack",
"method": "put"
},
{
"type": "chat",
"method": "put"
}
],
"mode": "method"
}
],
"on_call_pager": "<WA_ID of valid WhatsApp contact>",
"pass_through": false,
"sent_status": false
}'{
"before_update": {
"callback_backoff_delay_ms": 3000,
"max_callback_backoff_delay_ms": 600000,
"callback_persist": true,
"media": {
"auto_download": [
"image"
],
"init_avatars": true
},
"webhooks": [
{
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"mode": "body",
"events": [
{
"type": "message",
"method": "put"
}
]
}
],
"proxy": "string",
"mobile_proxy": "string",
"offline_mode": false,
"full_history": false
},
"after_update": {
"callback_backoff_delay_ms": 3000,
"max_callback_backoff_delay_ms": 600000,
"callback_persist": true,
"media": {
"auto_download": [
"image"
],
"init_avatars": true
},
"webhooks": [
{
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"mode": "body",
"events": [
{
"type": "message",
"method": "put"
}
]
}
],
"proxy": "string",
"mobile_proxy": "string",
"offline_mode": false,
"full_history": false
},
"changes": [
"callback_backoff_delay_ms"
]
}